Subject: Re: Porting Unix code to Windows 95 / Windows NT
From: [email-masked] (Earnie Boyd)

30 Oct 1998 04:33:47 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Aldo Mazzilli <[email-masked]>, [email-masked]

---Aldo Mazzilli <[email-masked]> wrote:
>
> Hello,
> I am Aldo MAZZILLI from INRIA Rhone-Alpes (FRANCE), I am working on a
> project dealing with porting of a Unix code to
> win 95 and NT, for that I have already downloaded b19-CDK.EXE.
> 
> Some problems occur when I'm trying to port little Shell Scripts or
> C-programs on Windows 95a (with Internet Explorer 4.0) using
CygnusWin32
> Bourne Shell (sh).
> 
> Here are the principal ones :
> 
> ---------------------------------------------------------------------
> 
> 1) How can I get users and groups informations (/etc/passwd ,
> /etc/group)
>         
>  * mkpasswd returns error : 
>         "MKPASSWD.EXE is link to a missing exportation NETAPI32.DLL :
>                                                 NetUserEnum
> 
>  * mkgroup
>         "MKGROUP.EXE is link to a missing exportation NETAPI32.DLL :
>                                                 NetApiBufferFree

The FAQ states that these are NT specific commands.

> 
> 
> ---------------------------------------------------------------------
> 
> 2a) Bin commands execution
> 
>         $ groups
>         returns 'groups : permission denied' under /bin/sh
>         Why ??
>         NB : a)The PATH contains '.'
>              b)This command works correctly under the bash shell
> 

It has been suggested to:

mv sh.exe ash.exe
cp bash.exe sh.exe

> ---------------------------------------------------------------------
> 
> 2b) Shell scripts execution
> 
>         $ ls -lisa test
> returns  198072740 2 -rw-r--r-- 1 500 everyone 2176 Oct 26 16:30 test
> and after $ chmod 777 test
>         $ ls -lisa
> always returns :
>         198072740 2 -rw-r--r-- 1 500 everyone 2176 Oct 26 16:30 test
> 
>         How can I execute my 'test' script shell without using
'./test'
>         or 'sh test'

read the `help enable' from bash.

> 
> ---------------------------------------------------------------------
> 
> 3) How can I simulate EOF
>         CTRL-D is not recognized as End-of-File character when
> executing                                
>         a C program compiled with gcc compiler.
> 
>         NB : CTRL-D is recognized under the bash shell.
> 

Don't know about this one.  Try using a CTRL-Z instead.

> ---------------------------------------------------------------------
> 
> 4) Which command can I use instead of 'more' or 'pg'
> 

You can find `less' in the "List of packages" on my webpage (See the
signature).

> ---------------------------------------------------------------------
> 
> 5) gcc compiler :
>         
>         Which differences can I find between Solaris gcc 
>                 (version 2.7.2.3) and your gcc
> 
>         For example :
>                 Considering :        void main () 
>                                    {
>                                    return 0;      
>                                    }
>  
>                  gcc compilation returns
>                            warning: return type of 'main' is not int
> !!   
>  
>                 when SunOS gcc returns nothing
> 
>                 What can I do to avoid this correction :
> 
>                                              int main () 
>                                                 {
>                                                 return 0;      
>                                                 }
> 
>         Are there others differences.
> 

The ANSI standard is for main to return a type of int.  If you're not
getting the message from a particular environment it is probably due
to someone's configuration making it that way or the void type is
mapped to int.

> ---------------------------------------------------------------------

==
-                  \\||//
-------------o0O0--Earnie--0O0o--------------
--          [email-masked]          --
-- http://www.freeyellow.com/members5/gw32 --
----------------ooo0O--O0ooo-----------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".